/* Estilos Gerais */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins';
}

#FormsLP{
    height: 25rem;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

.banner-mobile {
    display: none;
}

.banner{
    background-color: #0a1f4d;
}

.banner img{
    width: 100%;
    max-width: 1920px;
}

/* Hero */
.hero {
    background-color: #0a1f4d;
    color: #ffffff;
    padding: 1rem 0rem 8rem;
    display: flex;
    align-items: center;
    background-image: url("../assets/images/banners/black-unifeitep-33.jpg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.hero-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
}

.hero h1 {
    font-size: 5.5rem;
    line-height: 1;
    margin-bottom: 1rem;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
}



.hero-text .highlight {
    color: #00c8ff;
/*    font-weight: bold;*/
}

.hero .cta-button{
    color: #251304;
}

.hero-form {
    background: #ffffff;
    padding: 2rem;
    border-radius: 10px;
    width: 300px;
}

.hero-form h3 {
    margin-bottom: 1rem;
    font-size: 1.5rem;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
}

.hero-form input, .hero-form select, .hero-form button {
    width: 100%;
    margin-top: 0.5rem;
    padding: 0.8rem;
    font-size: 1rem;
    border-radius: 5px;
    border: 1px solid #ccc;
}

.hero-form button {
    background-color: #ff6a00;
    border: none;
    cursor: pointer;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    border-radius: 28px;
}

.hero-text {
    max-width: 50%;
}

.hero p {
    font-size: 1.2rem;
    line-height: 1.6;
    margin-bottom: 1.5rem;
    font-weight: 300;
}

.hero-form {
    background-color: #fff;
    padding: 50px;
    border-radius: 48px;
    max-width: 350px;
    width: 100%;
    color: #333;
}

.hero-form p {
    font-size: .8rem;
    line-height: 1.6;
    margin-bottom: 1.5rem;
    font-weight: 400;
}

.botao-pulsante {
    display: none;
}

/* Responsividade para telas menores */
@media (max-width: 768px) {

    #FormsLP{
        width: 100%;
        display: contents;
    }

    .banner-mobile {
        display: block;
    }

    .banner-desk {
        display: none;
    }

    .hero {
        flex-direction: column; /* Coloca o texto e o formulário em coluna */
        text-align: center;
            padding: 0;
            background-color: white;
    }

    .hero-text {
        max-width: 100%;
        margin-bottom: 2rem; /* Espaço entre o texto e o formulário */
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),url("../assets/images/img-teste.webp");
         background-size: cover;
      background-position: center;
              padding: 15px;
    }

    .hero .container {
        width: 100%;
    }

    .hero h1 {
        font-size: 2rem; /* Reduz o tamanho do título */
    }

    .hero p {
        font-size: 1rem; /* Reduz o tamanho do parágrafo */
    }

    .hero-form {
        max-width: 100%; /* Formulário ocupa toda a largura */
        border-radius: 0;
    }


    /* Estilos gerais do botão */
    .botao-pulsante {
      width: 60px;
      height: 60px;
      background-color: #3498db;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      color: white;
      font-size: 24px;
      cursor: pointer;
      border: none;
      outline: none;
      position: relative;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
          margin: 0 auto;
    }

    /* Animação de pulsação */
    .botao-pulsante::before {
      content: '';
      position: absolute;
      width: 100%;
      height: 100%;
      border-radius: 50%;
      background-color: rgba(52, 152, 219, 0.6);
      animation: pulsar 1.5s infinite;
      z-index: 1;
    }

    /* Animação de pulsação */
    @keyframes pulsar {
      0% {
        transform: scale(1);
        opacity: 1;
      }
      100% {
        transform: scale(1.5);
        opacity: 0;
      }
    }
}

@media (max-width: 480px) {
    .hero h1 {
        font-size: 2.5rem; /* Reduz ainda mais o tamanho do título em telas muito pequenas */
    }

    .hero p {
        font-size: 1.3rem; /* Reduz ainda mais o tamanho do parágrafo */
    }

    .hero-form {
        padding: 50px 25px; /* Reduz o padding do formulário para se ajustar melhor */
        text-align: left;
    }
}


/* Section Cursos */
/*.courses-section {
    background-color: #00c8ff;
    padding: 2rem 0;
}

.courses-content {
    background-color: #00c8ff;
    color: #0a1f4d;
    text-align: center;
}

.carousel {
    position: relative;
    display: flex;
    align-items: center;
    overflow: hidden;
}

.carousel-track {
    display: flex;
    gap: 1rem;
    overflow: hidden;
    width: 100%;
    white-space: nowrap;
}

.carousel-item {
    min-width: 200px;
    background: #f4f4f4;
    padding: 1rem;
    text-align: center;
    border-radius: 8px;
}*/

/* Destaques */
.highlights {
    background-color: #ffffff;
    color: #0a1f4d;
    padding: 4rem 0;
}

.highlights h2 {
    text-align: center;
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    line-height: 1;
}

.highlights-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2rem;
    align-items: stretch; /* Faz todos os itens terem a mesma altura */
}

.highlight-item {
    background-color: #ff6a00;
    color: #101418;
    padding: 4rem 2rem;
    text-align: center;
    border-radius: 8px;
    font-weight: 800;
    font-size: 1.2rem;
    border-radius: 32px;
    box-shadow: 0 32px 44px #00000047;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%; /* Garante que cada item ocupe a altura total do grid */
}

/* Estilos básicos da seção de cursos */
.courses-section {
    padding: 4rem 2rem;
    background-color: #1FC5E9; /* Cor de fundo */
}

.courses-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    gap: 60px;
    flex-wrap: wrap;
}

.courses-text {
    max-width: 30%;
/*    width: 30%;*/
}

.courses-text h2 {
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    line-height: 1;
}

.courses-text p {
    font-size: 1.2rem;
    line-height: 1.6;
    margin-bottom: 1.5rem;
    color: #001C4A;
}

.courses-carousel {
    max-width: 65%;
/*    width: 70%;*/
}

.courses-carousel .carousel-item h3 {
    margin: 0;
    font-size: 1.2rem;
    font-weight: 400;
    text-align: left;
    width: 100%;
}

.courses-carousel .carousel-item p {
    text-align: left;
    flex-grow: 1;
    font-weight: 900;
    width: 100%;
}

.courses-carousel img{
    max-width: 100%;
    margin-top: auto; /* Empurra a imagem para o final do item */
    align-self: center; /* Centraliza a imagem horizontalmente */
    object-fit: cover; /* Ajusta o tamanho da imagem */
}


.courses-carousel .slick-track{
    display: flex;
    align-items: stretch;
}

.courses-carousel .carousel-item {
    background-color: #BFE2EAE5;
    color: #333;
    padding: 1rem 1rem 0rem 1rem;
    border-radius: 8px;
    margin: 0.5rem;
    flex: 0 0 auto;
    width: 250px;
    box-shadow: 4px 10px 12px #0000001A;
    min-height: 300px;
    display: flex!important;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

/* Responsividade para telas menores */
@media (max-width: 768px) {
    .courses-content {
        gap: 0px;
    }

    .courses-section {
        flex-direction: column; /* Coloca o texto e o carrossel em coluna */
        text-align: center;
    }

    .courses-text {
        max-width: 100%;
        margin-bottom: 2rem; /* Espaço entre o texto e o carrossel */
    }

    .courses-text h2 {
        font-size: 1.8rem;
    }

    .courses-text p {
        font-size: 1rem;
    }

    .courses-carousel {
        max-width: 100%; /* Carrossel ocupa toda a largura */
    }
}

@media (max-width: 480px) {
    .courses-text h2 {
        font-size: 1.5rem;
    }

    .courses-text p {
        font-size: 0.9rem;
    }
}


.uni-feitep-section {
    padding: 50px 0;
    background-color: #e6ecf0; /* Cor de fundo suave */
}

.uni-feitep-content {
    display: flex;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap; /* Responsivo para telas menores */
}

.uni-feitep-text {
    flex: 1;
    font-family: Arial, sans-serif;
}

.uni-feitep-text h2 {
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    line-height: 1;
}

.uni-feitep-text p {
    font-size: 1.2rem;
    line-height: 1.7;
    color: #001C4A;
    text-align: left;
}

.uni-feitep-video {
    flex: 1;
    max-width: 550px; /* Ajusta a largura máxima do vídeo */
}

.uni-feitep-video iframe {
    width: 100%;
/*    height: auto;*/
/*    max-width: 400px;*/
    border-radius: 8px; /* Borda arredondada para o vídeo */
}

/* Responsivo */
@media (max-width: 768px) {
    .uni-feitep-content {
        flex-direction: column;
    }
    
    .uni-feitep-text, .uni-feitep-video {
        text-align: center;
    }
}

.testimonials-section {
    background-color: #e6ecf0; /* Fundo suave */
    text-align: center;
    padding: 4rem 2rem;
}

.section-title {
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    line-height: 1;
}

.testimonials-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
}

.testimonial-card {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 22%;
    text-align: center;
/*    margin: 0.5rem;*/
    min-height: 300px;

    flex: 0 0 auto;
    display: flex !important;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    /*height: 500px!important;
    max-height: 480px;*/
}


.testimonial-card .slick-track {
    display: flex;
    align-items: stretch;
}

.testimonial-photo {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    margin-bottom: 15px;
}

.testimonial-card h3 {
    font-size: 18px;
    font-weight: bold;
    color: #333;
    margin-bottom: 5px;
}

.testimonial-role {
    font-size: 14px;
    color: #666;
    margin-bottom: 10px;
}

.testimonial-text {
    font-size: 14px;
    color: #555;
    line-height: 1.6;
    text-align: left;
}

/* Responsivo */
@media (max-width: 768px) {
    .testimonials-container {
        flex-direction: column;
        align-items: center;
    }
    
    .testimonial-card {
        width: 100%;
/*        max-width: 300px;*/
/*        margin: 0;*/
        /*height: 780px !important;
        max-height: 830px;*/
    }
}

.partnership-section {
    /*max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;*/
    padding: 2rem 0;
}

.partnership-content {
    display: flex;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap; /* Responsivo para telas menores */
}

.content {
    max-width: 600px;
}

.content h2 {
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    line-height: 1;
}

.content p {
    font-size: 1em;
    color: #4a4a4a;
    margin-bottom: 20px;
}

.cta-button {
    display: inline-block;
    background-color: #FF6C00;
    color: #FFFFFF;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 28px;
    transition: background-color 0.3s ease;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    border: none;
    text-transform: uppercase;
}

.cta-button:hover {
    background-color: #e65a00;
}

.logos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0px 25px;
    justify-items: center;
  align-items: center;
}

.logos img {
    width: 150px;
}

.enrollment-section {
    /*max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
    color: #FFFFFF;
    background-color: #0a1f4d;*/
    background-color: #0a1f4d;
    padding: 4rem 2rem;
}

.enrollment-content {
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    flex-wrap: wrap;
    gap: 50px
}


.left-content {
    max-width: 600px;
}

.enrollment-section h2 {
    color: #fff;
    text-align: center;
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    line-height: 1;
}

.highlight {
    color: #00CFFF;
}

.left-content p {
    font-size: 1.5em;
    margin-bottom: 20px;
}

.left-content ol {
    font-size: 1em;
    margin-left: 20px;
}

/*.form-image {
    background-color: #FFFFFF;
    border-radius: 10px;
    padding: 20px;
}*/

.form-image img {
    width: 100%;
    max-width: 400px;
    border-radius: 10px;
}

.faq-section {
    
}

.faq-content {
    max-width: 1200px;
    padding: 20px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    color: #002060;
    flex-wrap: wrap;
    padding: 4rem 2rem;
}

.faq-text {
    max-width: 500px;
}

.faq-text h2 {
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: "Montserrat", sans-serif;
    font-weight: 900;
    color: #001E47;
    line-height: 1;
}

.faq-text p {
    font-size: 1em;
    color: #002060;
}

.faq-list {
    width: 100%;
    max-width: 600px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.faq-item {
    background-color: #FFFFFF;
    border: 1px solid #E0E0E0;
    font-size: 1em;
    color: #002060;
    cursor: pointer;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.faq-question {
    font-weight: normal;
    font-size: 1.1em;
    width: 100%;
    padding: 15px 20px;
}

.faq-item:hover {
    background-color: #f5f5f5;
}

.faq-item .faq-question::before {
    content: "+";
    color: #FF6A00;
    font-weight: bold;
    margin-right: 10px;
}

.faq-answer {
    padding: 15px 20px;
    font-size: 0.95em;
    color: #333;
    display: none; /* Initially hidden */
    border-top: 1px solid #E0E0E0;
}

.faq-item.active .faq-answer {
    display: block;
}

/* Rodapé */
footer {
    background: #0a1f4d;
    color: #ffffff;
    text-align: center;
    padding: 1.5rem 0;
}

.footer-content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

.footer-content p{
    color: #fff;
    text-align: left;
}

.social-media {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.social-media a {
    color: #ffffff;
    text-decoration: none;
}

.copyright {
    color: #fff;
}


